VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Make"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Public Sub PDF417Make(Text As String, path As String, nClumn As String, nErr As String, nHLRatio As String, nHeight As String)
Dim barcode As New MAKEPDF417Lib.BarCodePDF417
Dim a() As Byte
a = StrConv(Text, vbFromUnicode)
path = Replace(path, "Demo.php", "temp.bmp")
barcode.MakeBinary a, path, CLng(nClumn), CLng(nErr), CLng(nHLRatio), CLng(nHeight)
End Sub


Public Sub PDF417SetColorDepth(nDepth As String)
Dim barcode As New MAKEPDF417Lib.BarCodePDF417
barcode.SetColorDepth CLng(nDepth)
End Sub

Public Sub PDF417MixText(path As String, szText As String, lFontSize As String, lTxtHeight As String, lHmargin As String, lVmargin As String, lTxtCntOneLine As String)
Dim barcode As New MAKEPDF417Lib.BarCodePDF417
path = Replace(path, "Demo.php", "temp.bmp")
barcode.MixText path, path, szText, CLng(lFontSize), CLng(lTxtHeight), CLng(lHmargin), CLng(lVmargin), CLng(lTxtCntOneLine)
End Sub
